### Method

# EDataServer AsyncClosure wait

since: 3.6

#### Declaration [src]

    GAsyncResult*
    e_async_closure_wait (
      EAsyncClosure* closure
    )

#### Description [src]

Call this function immediately after starting an asynchronous operation. The function waits for the asynchronous operation to complete and returns its `GAsyncResult` to be passed to the operation’s “finish” function.

This function can be called repeatedly on the same `EAsyncClosure` to easily string together multiple asynchronous operations.

Available since: 3.6

This method is not directly available to language bindings.

#### Return value

Type: `GAsyncResult`

A `GAsyncResult` which is owned by the closure.

The returned data is owned by the instance.